## t
Tag checkbox

Renders a HTML input of type "checkbox". The associated SelectItem comes from an extended selectManyCheckbox component with layout "spread". The selectManyCheckbox is referenced by the "for" attribute. All HTML pass-through attributes for this input are taken from the associated selectManyCheckbox.

Tag Information
Tag Class | org.apache.myfaces.custom.checkbox.HtmlCheckboxTag
TagExtraInfo Class | None
Body Content | JSP
Display Name | None

Attributes
Name | Required | Request-time | Type | Description
binding | false | false | `java.lang.String` | Component binding.
enabledOnUserRole | false | false | `java.lang.String` | If user is in given role, this component will be rendered normally. If not, no hyperlink is rendered but all nested tags (=body) are rendered.
for | true | false | `java.lang.String` | id of the referenced extended selectManyCheckbox component
id | false | false | `java.lang.String` | Every component may have an unique id. Automatically created if omitted.
index | true | false | `java.lang.String` | n-th SelectItem of referenced UISelectMany starting with 0.
rendered | false | false | `java.lang.String` | If false, this component will not be rendered.
visibleOnUserRole | false | false | `java.lang.String` | If user is in given role, this component will be rendered normally. If not, nothing is rendered and the body of this tag will be skipped.

Variables
No Variables Defined.

Output Generated by Tag Library Documentation Generator. Java, JSP, and JavaServer Pages are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries. Copyright 2002-4 Sun Microsystems, Inc. 4150 Network Circle Santa Clara, CA 95054, U.S.A. All Rights Reserved.